Bug 333619 - Inline links to anchors in messages do not work
Summary: Inline links to anchors in messages do not work
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: UI (show other bugs)
Version: Git (master)
Platform: Kubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 14:12 UTC by Blackpaw
Modified: 2014-04-20 09:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Blackpaw 2014-04-19 14:12:57 UTC
When an HTML message has a link to a anchor within it body, clicking on the link should scroll to that anchor. This does not occur.

Reproducible: Always

Steps to Reproduce:
1. Select an hTML message with a link to an anchor in its body.
2. Click the Link

Actual Results:  
Nothing happens

Expected Results:  
The message display should scroll to display the anchor.
Comment 1 Blackpaw 2014-04-20 09:12:52 UTC
Git commit 38cd7e2fef12fd9eaab345ee1ec6ddc2057153f2 by Lindsay Mathieson.
Committed on 20/04/2014 at 09:10.
Pushed by mathieson into branch 'KDE/4.13'.

Fixes MailWebView::scrollToAnchor

The DOM code in MailWebView::scrollToAnchor no longer seems to work.
However there is a QT api call in QWebFrame::scrollToAnchor()
introduced in QT 4.7 that implements the functionality needed.
REVIEW: 117642

M  +1    -11   messageviewer/viewer/mailwebview_webkit.cpp

http://commits.kde.org/kdepim/38cd7e2fef12fd9eaab345ee1ec6ddc2057153f2